Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07306 Crash/Freeze Critical (emulation) Always Apr 27, 2019, 20:38 May 19, 2021, 10:02
Tester MrGW View Status Public Platform MAME (Self-compiled)
Assigned To tlindner Resolution Fixed OS Linux (64-bit)
Status [?] Resolved Driver coco3.cpp
Version 0.209 Fixed in Version 0.222 Build 64-bit
Fixed in Git Commit 25ba39d Github Pull Request #
Summary MESS-specific 07306: coco3 [superpit]: Unable to run Super Pitfall Cartridge using Coco 3 driver -- freezes at black screen
Description Unable to run Super Pitfall Cartridge using Coco 3 driver -- freezes at black screen
Steps To Reproduce Run mame using the following command line:

mame coco3 -ramsize 512K -cart Super\ Pitfall\ \(1988\)\ \(26-3171\)\ \(Activision\).ccc

Stops at black screen.

Same issue when loading the cartridge using MAME's UI.
Additional Information Not sure how long this has been an issue as this is the first time I've tried to run this game.
Github Commit
Flags
Regression Version
Affected Sets / Systems coco3 [superpit]
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.16391
star2root
Tester
Apr 28, 2019, 02:22
Super Pitfall is a 32k catridge, and as such, never worked on the older versions of MESS or MAME because 32k cartridges were not supported, the code just wasn't there to handle it. None of the newer builds seem to run it either, although other 32k cartridges using more or less the same memory map seem to work ok, such as Rad Warrior and Arkanoid. This may or may not be the same issue that causes Rampage not to run since it also hangs at a black screen.
User avatar
No.18861
tlindner
Tester
May 19, 2021, 04:54
Just checked this in 0.231 and everything is fine. Game works.
User avatar
No.18862
Tafoid
Administrator
May 19, 2021, 10:01
It looks like you fixed it with this commit
https://github.com/mamedev/mame/commit/25ba39df71044e0fb205b038b4b66eef0adea98c
Just didn't make it over here.
Resolving